Cyberduck Mountain Duck CLI

#5216 closed defect (fixed)

Not using proper storage url when connecting to swift

Reported by: drue Owned by: dkocher
Priority: normal Milestone: 3.7
Component: cloudfiles Version: 3.6.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Attempting to connect to a Swift install. Cyberduck appears to authenticate using https on a nonstandard port but subsequent ssl requests are going to the auth URL instead of the storage URL returned with the authentication request. Cyberduck doesn't report an error until you try to create a folder or upload some files.

i.e. auth url = https://x.x.x.x:11000/v1.0 and the returned storage url is https://x.x.x.x:443/v1 but after authentication the subsequent requests from Cyberduck go to port 11000 instead of 443.

note that python-cloudfiles and Fog seem are working as expected with this Swift installation.

Change History (6)

comment:1 Changed on Sep 20, 2010 at 9:15:27 PM by dkocher

  • Component changed from core to cloudfiles
  • Summary changed from cyberduck not using proper storage url when connecting to swift to Not using proper storage url when connecting to swift

comment:2 Changed on Sep 23, 2010 at 6:16:20 PM by dkocher

  • Milestone set to 3.6.2

comment:3 Changed on Sep 27, 2010 at 12:37:52 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r7083. Please test with the latest snapshot build available.

comment:4 follow-up: Changed on Sep 27, 2010 at 6:51:02 PM by drue

  • Resolution fixed deleted
  • Status changed from closed to reopened

build 7089 seems to be attempting to authenticate to port 443 despite putting a different port into the port box

comment:5 in reply to: ↑ 4 Changed on Sep 27, 2010 at 9:39:54 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Replying to drue:

build 7089 seems to be attempting to authenticate to port 443 despite putting a different port into the port box

Thanks for testing. I don't have an openstack installation therefore the different result. Fix should now be in r7094.

comment:6 Changed on Sep 28, 2010 at 12:42:04 AM by drue

seems to be working, thank you!

Note: See TracTickets for help on using tickets.
swiss made software